Bug 690287 - bitcmyk produces 0 length output
bitcmyk produces 0 length output
Status: RESOLVED FIXED
Product: Ghostscript
Classification: Unclassified
Component: Color
8.70
Macintosh MacOS X
: P4 normal
Assigned To: Ray Johnston
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 11:20 PST by Rick Richardson
Modified: 2009-06-15 22:59 PDT (History)
1 user (show)

See Also:
Customer:
Word Size: ---


Attachments
Redhat test page (18.10 KB, text/plain)
2009-02-12 11:21 PST, Rick Richardson
Details
gdevbit.c.patch (1.70 KB, patch)
2009-02-12 14:43 PST, Ray Johnston
Details | Diff
bitcmyk-blank-output.patch (2.17 KB, patch)
2009-02-18 11:18 PST, Till Kamppeter
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rick Richardson 2009-02-12 11:20:11 PST
Try:

$ gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE -sPAPERSIZE=letter -g5100x6600
-r600x600 -sDEVICE=bitcmyk -dCOLORSCREEN -dMaxBitmap=500000000
'-sOutputFile=xxx.prn' test.ps; 
$ ls -l xxx.prn
-rwxr--r-- 1 rick rick 0 2009-02-12 13:15 xxx.prn

test.ps is the Redhat test page (attached).
Comment 1 Rick Richardson 2009-02-12 11:21:53 PST
Created attachment 4793 [details]
Redhat test page
Comment 2 Rick Richardson 2009-02-12 11:24:28 PST
It used to work on 8.63 and before!!!!
Comment 3 Ray Johnston 2009-02-12 14:42:48 PST
This was fixed by rev 9452 which, unfortunately did not make the 8.64 release.
Comment 4 Ray Johnston 2009-02-12 14:43:32 PST
Created attachment 4794 [details]
gdevbit.c.patch

This is the fix.
Comment 5 Rick Richardson 2009-02-12 15:02:35 PST
When is 8.65 coming out?

This affects: HP Color LaserJet 1500/1600/2600/CP1215, Samsung
CLP-300/315/600/610 etc., Xerox 6110 etc., Konica Minolta 2300 DL/2430 DL/2530
DL etc., Lexmark C500.
Comment 6 Ralph Giles 2009-02-12 15:05:56 PST
The next scheduled release is August. We may do a interm release sooner than
that, but this isn't decided.
Comment 7 Rick Richardson 2009-02-12 15:12:15 PST
$ pwd
/home/rick/src/ghostscript-8.64
$ patch -p0 <~/tmp/gdevbit.c.patch 
patching file base/gdevbit.c
Hunk #1 succeeded at 653 with fuzz 2.
Hunk #2 FAILED at 671.
1 out of 2 hunks FAILED -- saving rejects to file base/gdevbit.c.rej
Comment 8 Till Kamppeter 2009-02-18 11:14:45 PST
I can confirm the fix, but the attached patch is broken. I have simply replaced
base/gdevbit.c by the file from trunk (diff is VERY similar) and it worked.
Tested with the test case of the Ubuntu bug report
(https://bugs.edge.launchpad.net/ubuntu/+source/ghostscript/+bug/331127) and
also being able again to print on the HP Color LaserJet 2600n with Rick's driver.

Thanks, Rick, for reporting this, and thanks, Ray, for supplying the patch.
Comment 9 Till Kamppeter 2009-02-18 11:18:47 PST
Created attachment 4801 [details]
bitcmyk-blank-output.patch

Replacement for the attached patch. This is the which I created for the Ubuntu
package of Ghostscript 8.64 and it fixes the bug.